"Server internal error" when acl is set on a bucket using a cannel acl and no access control list (xml) in the request

Bug #517769 reported by Neil Soman on 2010-02-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Eucalyptus
Fix Released
Undecided
Unassigned
eucalyptus (Ubuntu)
Undecided
Dustin Kirkland 

Bug Description

PUT /services/Walrus/testbucket/?acl HTTP/1.1.
Host: x.x.x.x:8773.
Accept-Encoding: identity.
Date: Fri, 05 Feb 2010 20:08:19 GMT.
Content-Length: 0.
x-amz-acl: public-read.
Authorization: AWS xxx:yyy
.

##
T x.x.x.x:8773 -> x.x.x.x:46326 [AP]
HTTP/1.1 500 Internal Server Error.

Neil Soman (neilsoman) wrote :

------------------------------------------------------------
revno: 1177
committer: Neil
branch nick: 1.6.2
timestamp: Fri 2010-02-05 12:30:42 -0800
message:
  fixes LP: #517769
------------------------------------------------------------

Changed in eucalyptus:
status: New → Fix Committed
Changed in eucalyptus (Ubuntu):
assignee: nobody → Dustin Kirkland (kirkland)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eucalyptus - 1.6.2~bzr1180-0ubuntu1

---------------
eucalyptus (1.6.2~bzr1180-0ubuntu1) lucid; urgency=low

  * Merge from upstream bzr revision, should fix:
    - LP: #517769 - fix bucket acl server internal error
 -- Dustin Kirkland <email address hidden> Mon, 08 Feb 2010 12:42:18 -0600

Changed in eucalyptus (Ubuntu):
status: In Progress → Fix Released
Changed in eucalyptus:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers